
Redmine - Feature #34793

Filter OR / AND for issues and repeated columns in filter settings

2021-02-23 10:47 - Micael Broun

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%
Resolution: Duplicate   

Description

1. For what:

I can't do filter now about "this version or that version", "this dates or that dates", "this version and status or that version and status"

2. What need to do:

In filter for task add:

2.1. Ability to use column many times

2.2. Blocks AND / OR

PS Cool, if i could filter tags with this logic

Related issues:

Is duplicate of Redmine - Feature #4939: List of tasks filtered as OR and not... New 2010-02-26

History

#1 - 2021-02-23 12:29 - Holger Just

- Is duplicate of Feature #4939: List of tasks filtered as OR and not AND added

#2 - 2021-02-23 12:29 - Holger Just

- Status changed from New to Closed

- Resolution set to Duplicate

#3 - 2021-02-23 14:38 - Micael Broun

- Status changed from Closed to Reopened

#4939 not Duplicate this issue and don't solve task from description

#4 - 2021-02-23 14:41 - Micael Broun

In fact, filter #4939 add'on not solve any serios tasks, because it does not allow conditions like this column type OR that column type: it don't allow

use any column more, then once

#5 - 2021-02-24 21:46 - Holger Just

- Status changed from Reopened to Closed

For most fields, you can define multiple values which should be selected, e.g. you can select multiple statuses or versions in your filter, any of which

can match the issues. For that, you can click on the small + button beside e.g. the Status is filter and select multiple values.

It is true that you can't define complex filter rules right now to combine multiple columns in an AND/OR combination such as (Status is New AND

Version is Backlog) OR (Status is In Progress AND Version is Current Sprint). Part of the discussion of #4939 is how it would be possible to define

those complex filter rules.

As such, please add your requirements, insights and possible solutions to #4939 to make sure the discussion is not spread over many strongly

related issues.
